# Poco::MongoDB

# class GetMoreRequest

Library: MongoDB
Package: MongoDB
Header: Poco/MongoDB/GetMoreRequest.h

## Description

A GetMoreRequest is used to query the database for more documents in a collection after a query request is send (OP_GETMORE).

## Inheritance

Direct Base Classes: RequestMessage

All Base Classes: Message, RequestMessage

## Member Summary

Member Functions: buildRequest, cursorID, getNumberToReturn, setNumberToReturn

Inherited Functions: buildRequest, header, messageLength, send

## Constructors

### GetMoreRequest

GetMoreRequest(
const std::string & collectionName,
Int64 cursorID
);

Creates a GetMoreRequest for the give collection and cursor.

The full collection name is the concatenation of the database name with the collection name, using a "." for the concatenation. For example, for the database "foo" and the collection "bar", the full collection name is "foo.bar". The cursorID has been returned by the response on the query request. By default the numberToReturn is set to 100.

## Destructor

### ~GetMoreRequest

virtual ~GetMoreRequest();

Destroys the GetMoreRequest.

## Member Functions

### cursorID

Int64 cursorID() const;

Returns the cursor ID.

### getNumberToReturn

Int32 getNumberToReturn() const;

Returns the limit of returned documents.

### setNumberToReturn

void setNumberToReturn(
Int32 n
);

Sets the limit of returned documents.

### buildRequest

void buildRequest(
BinaryWriter & writer
);

See also: Poco::MongoDB::RequestMessage::buildRequest()